Summary:	Contacts manager for GNOME
Name:		gnome-contacts
Version:	3.18.0
Release:	1
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-contacts/3.18/%{name}-%{version}.tar.xz
# Source0-md5:	cae95879a8bee6993d67df8ae49e2d3e
URL:		https://wiki.gnome.org/Apps/Contacts
BuildRequires:	autoconf >= 2.67
BuildRequires:	automake >= 1.12
BuildRequires:	cheese-devel >= 3.4.0
BuildRequires:	clutter-gtk-devel
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	evolution-data-server-devel >= 3.13.90
BuildRequires:	folks-devel >= 0.9.5
BuildRequires:	geocode-glib-devel >= 3.15.3
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	gnome-desktop-devel >= 3.2.0
BuildRequires:	gnome-online-accounts-devel
BuildRequires:	gtk+3-devel >= 3.16.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libchamplain-devel >= 0.12
BuildRequires:	libgee-devel >= 0.10.0
BuildRequires:	libnotify-devel
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.17.5
BuildRequires:	vala >= 2:0.24.0
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.38.0
Requires:	evolution-data-server >= 3.13.90
Requires:	gtk+3 >= 3.16.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnome-contacts is a standalone contacts manager for GNOME desktop.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4 -I libgd
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README NEWS ChangeLog
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/gnome-contacts-search-provider
%{_datadir}/appdata/org.gnome.Contacts.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Contacts.SearchProvider.service
%{_datadir}/glib-2.0/schemas/org.gnome.Contacts.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Contacts.enums.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Contacts.search-provider.ini
%{_datadir}/dbus-1/services/org.gnome.Contacts.service
%{_desktopdir}/org.gnome.Contacts.desktop
%{_mandir}/man1/gnome-contacts.1*
%changelog
* Mon Sep 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-contacts.git;a=log;h=master

* Mon Sep 28 2015 Marcin Banasiak <marcin.banasiak@gmail.com> baa6f35
- Update to 3.18.0

* Fri Aug 28 2015 Łukasz Kieś <kiesiu@pld-linux.org> d129d0a
- updated to 3.16.2

* Sun Apr 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> bc17c50
- updated to 3.16.1

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> d8b745d
- x32 rebuild
- release 2 (by relup.sh)

* Wed Apr 01 2015 Łukasz Kieś <kiesiu@pld-linux.org> f373cbf
- updated to 3.16.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> caacc17
- updated gettext BR

* Mon Dec 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> 346472b
- updated to 3.14.2

* Wed Oct 01 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 184e8f8
- Update to 3.14.0

* Sun Mar 30 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 50c5085
- Update to 3.12.0

* Sat Oct 19 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 04e8a39
- Update to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 01ea227
- Update to 3.10

* Thu Aug 01 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 68abfb1
- Update to 3.8.3

* Sun Jun 09 2013 Łukasz Kieś <kiesiu@pld-linux.org> 8c7f33d
- updated to 3.8.2

* Sun Apr 21 2013 Łukasz Kieś <kiesiu@pld-linux.org> f90bc9f
- updated to 3.8.1

* Thu Mar 28 2013 Artur Frysiak <artur@frysiak.net> b951c63
- Updated to 3.8.0

* Sun Nov 18 2012 Łukasz Kieś <kiesiu@pld-linux.org> a79cc70
- updated to 3.6.2

* Mon Oct 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> b2de461
- updated to 3.6.1

* Tue Oct 09 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 715a884
- Release 3

* Tue Oct 02 2012 Artur Frysiak <artur@frysiak.net> 56e1c1d
- rel. 2

* Mon Oct 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> b6d871a
- updated to 3.6.0

